ARES_FREE_HOSTENT(3)

NAME
ares_free_hostent - Free host structure allocated by ares functions

SYNOPSIS
#include <ares.h>

void ares_free_hostent(struct hostent *host)

DESCRIPTION
The ares_free_hostent function frees a struct hostent allocated by one of the functions ares_parse_a_reply(3), ares_parse_aaaa_reply(3), or ares_parse_ptr_reply(3).

NOTES
It is not necessary (and is not correct) to free the host structure passed to the callback functions for ares_gethostbyname(3) or ares_gethostbyaddr(3). The ares library will automatically free such host structures when the callback returns.

SEE ALSO
ares_parse_a_reply(3), ares_parse_aaaa_reply(3), ares_parse_ptr_reply(3)

AUTHOR
Greg Hudson, MIT Information Systems
Copyright 1998 by the Massachusetts Institute of Technology.